{
  description = "FabApp";

  inputs = {
    # take unstable if not specified
    # nixpkgs.url = "github:nixos/nixpkgs/release-23.05";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs@{ flake-parts, nixpkgs, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      flake = {
        # Put your original flake attributes here.
      };

      systems = [ "x86_64-linux" ];

      # https://flake.parts/module-arguments.html#persystem-module-parameters
      perSystem = { pkgs, system, ... }: {
        _module.args.pkgs = import nixpkgs {
          inherit system;
          # config.allowUnfree = true;
        };

        devShells.default = with pkgs;
          mkShell {
            buildInputs = [
              sqlite

              # Zig / webAssembly impl.
              zig
              zls
              emscripten

              # Tools
              nixfmt
            ];

          };

        formatter = pkgs.nixfmt;
      };
    };
}
